org.apache.ignite.igfs.mapreduce

## Class IgfsJobAdapter

- java.lang.Object
- - org.apache.ignite.igfs.mapreduce.IgfsJobAdapter

All Implemented Interfaces:
  IgfsJob

Direct Known Subclasses:
  IgfsInputStreamJobAdapter

    public abstract class IgfsJobAdapter
    extends Object
    implements IgfsJob

Adapter for `IgfsJob` with no-op implementation of `cancel()` method.

### Constructor Summary

Constructors
Constructor and Description
`IgfsJobAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` This method is called when system detects that completion of this job can no longer alter the overall outcome (for example, when parent task has already reduced the results).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.igfs.mapreduce.IgfsJob

`execute`

### Constructor Detail

#### IgfsJobAdapter

    public IgfsJobAdapter()

### Method Detail

#### cancel

    public void cancel()

This method is called when system detects that completion of this job can no longer alter the overall outcome (for example, when parent task has already reduced the results). Job is also cancelled when `IgniteFuture.cancel()` is called.

Note that job cancellation is only a hint, and just like with `Thread.interrupt()` method, it is really up to the actual job instance to gracefully finish execution and exit.

Specified by:
  `cancel` in interface `IgfsJob`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018